'''
All errors in ccnode are implemented here as exceptions
'''

class HypervisorError(Exception):
    '''
    Exception class for handling hypervisor related errors
    '''

    def __init__(self, exception, message):
        self.exception = exception
        self.message = message

    def __str__(self):
        return '%s -> %s' % (self.message, self.exception)

class VMError(Exception):
    '''
    Exception class for handling vm related errors
    '''
    pass

class StorageError(Exception):
    '''
    Base exception class for handling storage objects
    '''
    pass
